### Function

# Camel DataCacheRemoveFunc

since: 3.26

#### Declaration

    gboolean
    (* CamelDataCacheRemoveFunc) (
      CamelDataCache* cdc,
      const gchar* filename,
      gpointer user_data
    )

#### Description [src]

A callback called for each found file in the cache, used by camel_data_cache_foreach_remove(). The `filename` corresponds to the result of camel_data_cache_get_filename().

Available since: 3.26

#### Parameters

`cdc`

  Type: `CamelDataCache`

  A `CamelDataCache`.

  The data is owned by the caller of the function.

`filename`

  Type: `const gchar*`

  A file name found in the cache.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data passed to camel_data_cache_foreach_remove().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE`, to delete the file, `FALSE` to keep in in the cache.